package com.unis.config;

import lombok.Data;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

/**
 * @author qingsong.han
 * @description:
 * @create 2024-07-31 9:24
 */
@Data
@Component
public class AddressModel {

    // 推送地址
    @Value("${address.pushToIntrusion}")
    private String pushToIntrusion;
    // 设备ip
    @Value("${exceptionAlarm.deviceIP}")
    private String deviceIP;
    // 设备ip
    @Value("${exceptionAlarm.org-code}")
    private String orgCode;
    // 设备登录用户名
    @Value("${exceptionAlarm.userName}")
    private String userName;
    // 设备登录密码
    @Value("${exceptionAlarm.password}")
    private String password;

    // 设备登录密码
    @Value("${exceptionAlarm.port}")
    private short port;

}
